import { FormRules } from "element-plus";

export const ladderFormRules: FormRules = {
  key: {
    trigger: "change",
    required: true,
    message: "请选择商品类型"
  },
  value: {
    trigger: "change",
    required: true,
    message: "请选择单位"
  }
};

export const projectFormRules: FormRules = {
  group_id: {
    trigger: "change",
    required: true,
    validator(_, value) {
      if (value === "") return new Error("请选择卡类型");
      return true;
    }
  },
  list: {
    trigger: "change",
    required: true,
    validator(_, value) {
      if (value.length === 0) return new Error("至少选择一条商品信息！");
      return true;
    }
  }
};
